#Set p4config
export P4CONFIG=.p4config
echo P4CONFIG=.p4config >> /etc/bash.bashrc
#Install the package
sudo echo "deb http://package.perforce.com/apt/ubuntu trusty release" >> /etc/apt/sources.list
wget -qO - http://package.perforce.com/perforce.pubkey | sudo apt-key add -
sudo apt-get -y install aptitude
sudo aptitude update
sudo aptitude -y install helix-git-connector
#Configure gconn
sudo /opt/perforce/git-connector/bin/configure-git-connector.sh -n --p4port ssl:192.168.2.72:1666 --super super --superpassword REinforce --graphdepot graph --gcuser gconn_user --gcuserp4password REinforce --https --gconnhost 192.168.2.72 --forcehttps --ssh --sshuser git --croninterval 5 --serverid gconn1
#Export the location of the gconn configuration file, necessary for enabling mirroring
sudo -u git -i
export GCONN_CONFIG=/opt/perforce/git-connector/gconn.conf
echo GCONN_CONFIG=/opt/perforce/git-connector/gconn.conf >> ~/.bashrc
#As we are using a self-signed cert for HTH, tell Git not to verify the certs
git config --global http.sslverify false
#Setup the SSL certs
sudo aptitude -y install openssl
sudo mkdir -p /etc/gconn/ssl
openssl req -x509 -subj '/C=US/ST=CA/L=Alameda/O=Perforce/OU=gconn/CN=gconn/E=gconn@perforce.com' -nodes -days 365 -newkey rsa:2048 -keyout /etc/gconn/ssl/192.168.2.72.key -out /etc/gconn/ssl/192.168.2.72.crt > /dev/null 2>&1
if [ $? -ne 0 ]; then
    echo 'Errors while creating self-signed certificates!'
    exit 1
else
    echo 'Self-signed certificates have been created'
fi
sudo mkdir -p /etc/gconn/trusted-certs
sudo cp  /etc/gconn/ssl/192.168.2.72.crt /etc/gconn/trusted-certs/192.168.2.72.crt
#Install git-lfs
curl -s https://packagecloud.io/install/repositories/github/git-lfs/script.deb.sh | sudo bash
sudo apt-get -y install git-lfs
sudo -u git -i
git lfs install
sudo -u vagrant -i
#Clone some data from Helix Core
mkdir /home/vagrant/repos
cd /home/vagrant/repos
git clone https://jen:REinforce@192.168.2.72/graph/orca
